#include "../include/genome.h"

genome::genome()
{
    loci = NULL;
    sizeGlobal = 0;
}


genome::genome(int * s_genome, int size)
{
    loci = new int[size];
    for(int i = 0; i < size; i++) loci[i] = s_genome[i];
    sizeGlobal = size;
}


void genome::genomeAsString()
{
    for(int i = 0; i < sizeGlobal; i++) cout << int(loci[i]) << ' ';
    cout << endl;
}


int genome::size()
{
    return sizeGlobal;
}


int genome::get_val(int pos)
{
    return loci[pos];
}
